﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls;

namespace RadControlsWpfApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new MyData { ResultsLimit = 45 };
        }
    }

    public class MyData : ViewModelBase
    {

        private int resultsLimit;
        public int ResultsLimit
        {
            get
            {
                return this.resultsLimit;
            }
            set
            {
                if (this.resultsLimit != value)
                {
                    this.resultsLimit = value;
                    OnPropertyChanged("ResultsLimit");
                }
            }
        }

    }
}
