﻿
namespace RadControlsWpfApp1
{
    using System;
    using System.Linq;
    using System.Windows.Data;

    public class TimeSpaneToDateTimeConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return new DateTime(((TimeSpan)value).Ticks);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return new TimeSpan(((DateTime)value).Ticks);
        }

        #endregion
    }
}
